Bug 500197 - Review Request: perl-Text-Emoticon-MSN - Emoticon filter of MSN Messenger
Summary: Review Request: perl-Text-Emoticon-MSN - Emoticon filter of MSN Messenger
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Text-Emot...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-11 16:03 UTC by Iain Arnell
Modified: 2009-05-27 19:07 UTC (History)
3 users (show)

Fixed In Version: 0.04-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-27 19:07:22 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2009-05-11 16:03:24 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Text-Emoticon-MSN.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Text-Emoticon-MSN-0.04-1.fc12.src.rpm

Description:
Text::Emoticon::MSN is a text filter that replaces text emoticons like
":-)", ";-P", etc. to the icons of MSN Messenger, detailed in
http://messenger.msn.com/Resource/Emoticons.aspx

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1348003

*rt-0.09

Comment 1 Parag AN(पराग) 2009-05-12 03:53:46 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1348003
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
204623183bcf73ee97c298aa346104de900281de  Text-Emoticon-MSN-0.04.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=2, Tests=6,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.04 cusr  0.01 csys =  0.06 CPU)
+ Package perl-Text-Emoticon-MSN-0.04-1.fc12.noarch =>
Provides: perl(Text::Emoticon::MSN) = 0.04
Requires: perl(Text::Emoticon) >= 0.03 perl(base) perl(strict)

APPROVED.

Comment 2 Iain Arnell 2009-05-12 04:46:05 UTC
New Package CVS Request
=======================
Package Name: perl-Text-Emoticon-MSN
Short Description: Emoticon filter of MSN Messenger
Owners: iarnell
Branches: F-10 F-11
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-05-13 04:59:20 UTC
cvs done.

Comment 4 Iain Arnell 2009-05-13 15:07:01 UTC
built in rawhide - waiting for perl-Text-Emoticon on branches.

Comment 5 Fedora Update System 2009-05-20 03:45:51 UTC
perl-Text-Emoticon-MSN-0.04-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Text-Emoticon-MSN-0.04-1.fc11

Comment 6 Fedora Update System 2009-05-20 03:45:56 UTC
perl-Text-Emoticon-MSN-0.04-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Text-Emoticon-MSN-0.04-1.fc10

Comment 7 Fedora Update System 2009-05-20 23:55:52 UTC
perl-Text-Emoticon-MSN-0.04-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Text-Emoticon-MSN'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-5247

Comment 8 Fedora Update System 2009-05-20 23:59:49 UTC
perl-Text-Emoticon-MSN-0.04-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Text-Emoticon-MSN'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-5261

Comment 9 Fedora Update System 2009-05-27 19:07:17 UTC
perl-Text-Emoticon-MSN-0.04-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-05-27 19:07:27 UTC
perl-Text-Emoticon-MSN-0.04-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.